Bug 3849 - Container descriptor is shared across containers in one JVM
: Container descriptor is shared across containers in one JVM
Status: RESOLVED FIXED
: Java WS Security
Authentication
: unspecified
: PC Windows XP
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-10-27 12:59 by
Modified: 2005-12-09 15:39 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-10-27 12:59:52
A single container descriptor object is maintained per JVM. If multiple 
notification consumers are started up with independent container configuration, 
they overwrite each other. Need to investigate if a container descriptor per 
container can be maintained.
------- Comment #1 From 2005-11-21 18:09:55 -------
It'd be nice if the WS Security compenent had a Target Milestone of 4.2.0. This
ought to be fixed by then.
------- Comment #2 From 2005-11-21 18:10:18 -------
BTW, GRAM unit tests fail because of this.
------- Comment #3 From 2005-12-09 15:39:54 -------
Fixed in trunk. Now a MessageContext is required to access 
ContainerSecurityDescriptor.